methods:
  post: [login, old_password, new_password, conf_password]

fillin:
  enabled: true
  param:
   check_types:     [text]

names:
  login:
    required:     true
    required_msg: Identifiant obligatoire

  old_password:
    required:     true
    required_msg: Ancien mot de passe obligatoire
    validators:   [MyCheckPasswordValidator]

  new_password:
    required:     true
    required_msg: Nouveau mot de passe obligatoire

  conf_password:
    required:     true
    required_msg: Confirmation du mot de passe obligatoire
    validators:   [MyCompareValidator]

MyCheckPasswordValidator:
    class:         MyCheckPasswordValidator
    param:
      login:          login
      password_error: L'identifiant et le mot de passe entr&eacute; ne correspondent pas    

MyCompareValidator:
    class:         sfCompareValidator
    param:
      check:         new_password
      compare_error: La confirmation ne correspond pas au nouveau mot de passe saisi    